/**
 * Copyright Kyndryl, Inc. 2022
 */
import { LitElement } from 'lit';
/**
 * AccordionItem component.
 *
 * @slot icon - Optional leading icon
 * @slot body - Body of the accordion item
 * @slot title - Title of the accordion item
 * @slot subtitle - Optional subtitle of the accordion item
 *
 */
export declare class AccordionItem extends LitElement {
    static styles: import("lit").CSSResultGroup[];
    /** Accordion item opened state. */
    opened: boolean;
    /**
     * The index of this item. Passed from the Accordion.
     * @ignore
     */
    private _index;
    /**
     * Whether the number should be shown. Passed from the Accordion.
     * @ignore
     */
    private _showNumber;
    /**
     * Whether this item displays a filled header. Passed from the Accordion.
     * @ignore
     */
    private _filledHeader;
    /**
     * Whether this item is compact. Passed from the Accordion.
     * @ignore
     */
    private _compact;
    /**
     * A generated unique id
     * @ignore
     */
    private _id;
    setIndex(index: number): void;
    setShowNumbers(value: boolean): void;
    setFilledHeader(value: boolean): void;
    setCompact(value: boolean): void;
    open(): void;
    close(): void;
    private _handleClick;
    private _handleKeypress;
    private _toggleOpenState;
    /**
     * Generates the number template
     * @ignore
     */
    get numberTemplate(): import("lit-html").TemplateResult<1> | "";
    /**
     * Generates the icon template
     * @ignore
     */
    get iconTemplate(): import("lit-html").TemplateResult<1> | "";
    /**
     * Generates the subtitle template
     * @ignore
     */
    get subtitleTemplate(): import("lit-html").TemplateResult<1> | "";
    /**
     * Generates the item level expand/collapse template
     * @ignore
     */
    get expandIconTemplate(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
//# sourceMappingURL=accordionItem.d.ts.map