import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as i}from'./../../external/@lit/reactive-element/css-tag.js';var e=i`*,
*::before,
*::after {
  box-sizing: border-box;
}

:root {
  --kd-grid-max-width: 99rem;
}

/**
 * Copyright Kyndryl, Inc. 2023
 */
:host {
  display: block;
}

.kd-accordion-item {
  padding: 0px 0px;
  display: block;
  background-color: var(--kd-color-background-ui-default);
  border-radius: inherit;
}
.kd-accordion-item .kd-accordion-item-title {
  border-radius: inherit;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: normal;
  align-items: normal;
  align-content: normal;
  background: none;
  position: relative;
  font-family: var(--kd-font-family-primary);
  font-size: var(--kd-font-size-body-1-sm);
  line-height: var(--kd-line-height-body-1-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-4);
  font-weight: var(--kd-font-weight-medium);
  padding: 24px 16px;
  outline: 2px solid transparent;
  transition: background-color 150ms ease-out, outline-color 150ms ease-out;
  outline-offset: -1px;
}
@media (min-width: 42rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-md);
    line-height: var(--kd-line-height-body-1-md);
  }
}
@media (min-width: 74rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-lg);
    line-height: var(--kd-line-height-body-1-lg);
  }
}
@media (min-width: 82rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-xlg);
    line-height: var(--kd-line-height-body-1-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-accordion-item .kd-accordion-item-title {
    font-size: var(--kd-font-size-body-1-max);
    line-height: var(--kd-line-height-body-1-max);
  }
}
.kd-accordion-item .kd-accordion-item-title:hover {
  background-color: var(--kd-color-background-accent-subtle);
}
.kd-accordion-item .kd-accordion-item-title:focus {
  outline-color: var(--kd-color-border-focus);
}
.kd-accordion-item .kd-accordion-item-title .number,
.kd-accordion-item .kd-accordion-item-title .icon {
  font-weight: var(--kd-font-weight-regular);
  padding-right: 2em;
  flex-grow: 0;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
  display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
}
.kd-accordion-item .kd-accordion-item-title .number {
  color: var(--kd-color-text-placeholder);
}
.kd-accordion-item .kd-accordion-item-title .title {
  flex-grow: 1;
  flex-shrink: 1;
  flex-basis: auto;
  align-self: auto;
  order: 0;
}
.kd-accordion-item.filled-header .kd-accordion-item-title {
  background-color: var(--kd-color-background-accent-subtle);
}
.kd-accordion-item.filled-header .kd-accordion-item-title:hover {
  outline-width: 1px;
  outline-color: var(--kd-color-border-primary);
}
.kd-accordion-item.filled-header .kd-accordion-item-body {
  border-top: 1px solid var(--kd-color-border-light);
}
.kd-accordion-item.compact .kd-accordion-item-title {
  padding: 16px;
}
.kd-accordion-item .kd-accordion-item-body {
  padding: 24px 64px 24px 16px;
  display: none;
}
.kd-accordion-item.opened.filled-header .kd-accordion-item-title {
  border-radius: 0;
}
.kd-accordion-item.opened .kd-accordion-item-body {
  display: block;
}
.kd-accordion-item .icon {
  vertical-align: middle;
}
.kd-accordion-item .expand-icon {
  display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column;
}
.kd-accordion-item .kd-accordion-item-subtitle {
  font-family: var(--kd-font-family-secondary);
  font-size: var(--kd-font-size-utility-2-sm);
  line-height: var(--kd-line-height-utility-2-sm);
  font-weight: var(--kd-font-weight-regular);
  letter-spacing: var(--kd-letter-spacing-5);
  font-weight: var(--kd-font-weight-regular);
  color: var(--kd-color-text-secondary);
}
@media (min-width: 42rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-md);
    line-height: var(--kd-line-height-utility-2-md);
  }
}
@media (min-width: 74rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-lg);
    line-height: var(--kd-line-height-utility-2-lg);
  }
}
@media (min-width: 82rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-xlg);
    line-height: var(--kd-line-height-utility-2-xlg);
  }
}
@media (min-width: 99rem) {
  .kd-accordion-item .kd-accordion-item-subtitle {
    font-size: var(--kd-font-size-utility-2-max);
    line-height: var(--kd-line-height-utility-2-max);
  }
}

::slotted(kd-icon) {
  display: block;
}`;export{e as default};
//# sourceMappingURL=accordionItem.scss.js.map
